Usages - List By Subscription

Get a list of all Azure AI Search quota usages across the subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages?api-version=2026-11-01

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of the Azure region.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
x-ms-client-request-id

string (uuid)

A client-generated GUID value that identifies this request. If specified, this will be included in response information as a way to track the request.

Responses

Name Type Description
200 OK

QuotaUsagesListResult

The request has succeeded.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GetQuotaUsagesList

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Search/locations/westus/usages?api-version=2026-11-01

Sample response

{
  "nextLink": null,
  "value": [
    {
      "name": {
        "localizedValue": "F - Free",
        "value": "free"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/free",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "B - Basic",
        "value": "basic"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/basic",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S - Standard",
        "value": "standard"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S2 - Standard2",
        "value": "standard2"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard2",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S3 - Standard3",
        "value": "standard3"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard3",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "L1 - Storage Optimized",
        "value": "storageOptimizedL1"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL1",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "L2 - Storage Optimized",
        "value": "storageOptimizedL2"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL2",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "SL - Serverless",
        "value": "serverless"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/serverless",
      "limit": 16,
      "unit": "Count"
    }
  ]
}

Definitions

Name Description
CloudError

Contains information about an API error.

CloudErrorBody

Describes a particular API error with an error code and a message.

QuotaUsageResult

Describes the quota usage for a particular SKU.

QuotaUsageResultName

The SKU name information, including its identifier and localized display name.

QuotaUsagesListResult

Response containing the quota usage information for all the supported SKUs of Azure AI Search.

CloudError

Contains information about an API error.

Name Type Description
error

CloudErrorBody

Describes a particular API error with an error code and a message.

message

string

A brief description of the error that hints at what went wrong (for details/debugging information refer to the 'error.message' property).

CloudErrorBody

Describes a particular API error with an error code and a message.

Name Type Description
code

string

An error code that describes the error condition more precisely than an HTTP status code. Can be used to programmatically handle specific error cases.

details

CloudErrorBody[]

Contains nested errors that are related to this error.

message

string

A message that describes the error in detail and provides debugging information.

target

string

The target of the particular error (for example, the name of the property in error).

QuotaUsageResult

Describes the quota usage for a particular SKU.

Name Type Description
currentValue

integer (int32)

The currently used up value for the particular search SKU.

id

string

The resource ID of the quota usage SKU endpoint for Microsoft.Search provider.

limit

integer (int32)

The quota limit for the particular search SKU.

name

QuotaUsageResultName

The SKU name information of the current search service.

unit

string

The unit of measurement for the search SKU.

QuotaUsageResultName

The SKU name information, including its identifier and localized display name.

Name Type Description
localizedValue

string

The localized string value for the SKU name.

value

string

The SKU name supported by Azure AI Search.

QuotaUsagesListResult

Response containing the quota usage information for all the supported SKUs of Azure AI Search.

Name Type Description
nextLink

string

Request URL that can be used to query next page of quota usages. Returned when the total number of requested quota usages exceed maximum page size.

value

QuotaUsageResult[]

The quota usages for the SKUs supported by Azure AI Search.